/*

    myForth v1.0
    Copyright (c) 2002,2003,2004 by Mark A. Washburn.
    All rights reserved.
  
*/



package Washburn.myForth;


public interface vmConst {
  final static String _VERSION = "myForth 1.0.49";
  final static String _COPYRIGHT =
    "Copyright 2002,2003,2004 Mark A. Washburn All rights reserved.";
  final static String VERSION = "vmConst 1.0.45d";
  final static String COPYRIGHT =
    "Copyright 2002,2003,2004 Mark A. Washburn All rights reserved.";
  final static boolean debugOn = true;
  final static short TRUE = -1;
  final static short FALSE = 0;
  final static short NOTRACE = 0;
  final static short TRSTEP = 2;
  final static short TRSHOW = 4;
  final static short BYE = 1;
  final static short _SMREM = 2;
  final static short _FMMOD = 3;
  final static short _LIT = 4;
  final static short EXIT = 5;
  final static short EXECU = 6;
  final static short RESERVED7 = 7;
  final static short MMOVE = 8;
  final static short QBRAN = 9;
  final static short BRAN = 10;
  final static short STORE = 11;
  final static short AT = 12;
  final static short CSTOR = 13;
  final static short CAT = 14;
  final static short RFROM = 15;
  final static short RAT = 16;
  final static short RPAT = 17;
  final static short RPSTO = 18;
  final static short TOR = 19;
  final static short SPAT = 20;
  final static short SPSTO = 21;
  final static short DROP = 22;
  final static short DUPP = 23;
  final static short SWAP = 24;
  final static short OVER = 25;
  final static short ROT = 26;
  final static short ZLESS = 27;
  final static short ANDD = 28;
  final static short ORR = 29;
  final static short XORR = 30;
  final static short UPLUS = 31;
  final static short UMMOD = 32;
  final static short UMSTA = 33;
  final static short INC = 34;
  final static short DEC = 35;
  final static short DROPNXT = 36;
  final static short SWAPNXT = 37;
  final static short ATNXT = 38;
  final static short IADD = 39;
  final static short PSTOR = 40;
  final static short PICK = 41;
  final static short PUT = 42;
  final static short TOSPP = 43;
  final static short TORPP = 44;
  final static short SPPAT = 45;
  final static short RPPAT = 46;
  final static short DOSYS = 47;
  final static short NIP = 48;
  final static short _CELLP = 49;
  final static short _CHARP = 50;
  final static short _CELLM = 51;
  final static short _CHARM = 52;
  final static short _CELLS = 53;
  final static short _CHARS = 54;
  final static short NOOP = 55;
  final static short STORENXT = 56;
  final static short IADDNXT = 57;
  final static short LIT_ZERO = 58;
  final static short LIT_ONE = 59;
  final static short LIT_TWO = 60;
  final static short _ALIGNED = 61;
  final static short _ALIGN = 62;
  final static short ISUB = 63;
  final static short IMUL = 64;
  final static short INEG = 65;
  final static short IUSHR = 66;
  final static short ISHL = 67;
  final static short INOT = 68;
  final static short QDUP = 69;
  final static short TWOPLUS = 70;
  final static short TWOMINUS = 71;
  final static short DDUP = 72;
  final static short DDROP = 73;
  final static short IABS = 74;
  final static short IMIN = 75;
  final static short IMAX = 76;
  final static short ZEROEQ = 77;
  final static short CMPEQ = 78;
  final static short CMPLT = 79;
  final static short ULESS = 80;
  final static short TWOTIM = 81;
  final static short TWODIV = 82;
  final static short DOVER = 83;
  final static short DSWAP = 84;
  final static short DATT = 85;
  final static short DSTO = 86;
  final static short STOD = 87;
  final static short TRSTP = 88;
  final static short TRONN = 89;
  final static short TROFF = 90;
  final static short EXECTR = 91;
  final static short TOERR = 92;
  final static short TRINI = 93;
  final static short SAFEOP = 94;
  final static short __the_last__ = 95;
  final static short LOADER_IP = 0;
  final static short LOADER_SP = 1;
  final static short LOADER_RP = 2;
  final static short LOADER_MEMORY_SIZE = 3;
  final static short LOADER_CODE_ORG = 4;
  final static short LOADER_RETURN_SIZE = 5;
  final static short LOADER_STACK_SIZE = 6;
  final static short LOADER_TIB_SIZE = 7;
  final static short OPEN_SOURCE = 1;
  final static short READ_SOURCE = 2;
  final static short GET_APPLET_PARAM = 3;
  final static short CLOSE_SOURCE = 4;
  final static short CLOSE_ALL_SOURCE = 5;
  final static short IS_APPLET = 6;
  final static short SYS_GET_PROPERTY = 7;
  final static short SOURCE_ERROR = 8;
  final static short WAIT_MS = 10;
  final static short Q_MS = 11;
  final static short GET_TIMEDATE = 12;
  final static short SET_TIMEDATE = 13;
  final static short RAW_MS = 14;
  final static short SCREEN_LOG = 15;
  final static short QSCREEN_REFRESH = 16;
  final static short CUR_AT_XY = 17;
  final static short CLEAR_PAGE = 18;
  final static short SCREEN_REFRESH = 19;
  final static short SET_BG = 20;
  final static short SET_FG = 21;
  final static short GET_BG = 22;
  final static short GET_FG = 23;
  final static short CURSOR_ON = 24;
  final static short CURSOR_OFF = 25;
  final static short SYS_GC = 26;
  final static short SYS_FREE = 27;
  final static short MEMORY_SIZE = 28;
  final static short GR_ENABLED = 30;
  final static short GR_SIZE = 31;
  final static short GR_DRAWLINE = 32;
  final static short SET_KEY_VAL = 35;
  final static short GET_KEY_VAL = 36;
  final static short SYS_HELP = 39;
  final static short SYS_QRX = 40;
  final static short SYS_QERX = 41;
  final static short SYS_TXSTO = 42;
  final static short SYS_MEM_FILL = 45;
  final static short SYS_MEM_COMPARE = 46;
  final static short SYS_MEM_SEARCH = 47;
  final static short SOURCE_CONSOLE_TYPE = 0;
  final static short SOURCE_PARAM_TYPE = 1;
  final static short SOURCE_STREAM_TYPE = 2;
  final static short SYSHELP_UNAVAILABLE = 0;
  final static short SYSHELP_TRACEON = 1;
  final static short SYSHELP_TRACEUSAGE = 2;
  final static short SYSHELP_LASTMSG = 3;
}
